NGNUTMEG(1)

NAME
ngnutmeg - ngspice post-processor

SYNOPSIS
ngnutmeg [options] [datafile ...]

DESCRIPTION
This man page is just a small overview. The primary documentation of ngspice is in the NGSPICE User's Manual, which is available as a pdf file.
ngnutmeg is a post processor for NGSPICE - it takes the raw output file created by ngspice -r and plots the data on a graphics terminal or a workstation display. Note that the raw output file is different from the data that NGSPICE writes to the standard output.

OPTIONS

-
    Don't try to load the default data file ("rawspice") if no other files are given.

-n  or  --no-spiceinit
    Don't try to source the file ".spiceinit" upon startup. Normally ngnutmeg tries to find the file in the current directory, and if it is not found then in the user's home directory.

-q  or  --completion
    Enable command completion. (defect)

-t term  or  --term=term
    The program is being run on a terminal with mfb name term.

-h  or  --help
    Display a verbose help on the arguments available to the program.

-v  or  --version
    Display a version number and copyright information of the program.

Further arguments are taken to be data files in binary or ascii format (see sconvert(1)) which are loaded into ngnutmeg. If the file is in binary format, it may be only partially completed (useful for examining NGSPICE ouput before the simulation is finished). One file may contain any number of data sets from different analyses.

ENVIRONMENT
See ngspice(1)

FILES
See ngspice(1)

SEE ALSO
sconvert(1), ngspice(1), mfb(3), writedata(3), and
NGSPICE User's Manual at http://ngspice.sourceforge.net/docs.html

BUGS
Please report bugs to the ngspice project via
http://ngspice.sourceforge.net/bugrep.html

AUTHOR
Wayne Christopher (faustus@cad.berkeley.edu)
ngspice: various authors (see http://sourceforge.net/projects/ngspice/)